Quassel IRC - Feature #355

/exec commands
10/16/2008 04:43 PM - bdgraue

Status: Confirmed Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 90%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: Some future release

0S: Any

Description

in all (by me) known irc-clients i can use /exec to make an output to the channel, like:
/exec -0 dmesg | tall
and the (konsole)output will be shown in the channel

with /exec without -o it will only be shown myself, with -o it will be public

History

#1 - 07/22/2009 10:51 AM - wizzy

Where do you want this to be run?
The client or the server? Presumably the server.

#2 - 07/22/2009 07:49 PM - Sputnick

- Status changed from New to Confirmed
- Assignee set to Sputnick

- Priority changed from High to Normal

- Target version set to 0.5.0

- % Done changed from 0 to 90

We already have /exec support in git master. However, -0 we don't have yet, and that would be a nice thing to have, so | keep this report open.
Commands are run on the client side only, for various reasons (e.g. a client shouldn't be able to run anything on the server for security reasons).
#3 - 09/28/2009 06:32 PM - Sputnick

- File 0001-Don-t-send-exec-output-by-default.patch added

- Status changed from Confirmed to Feedback

- Target version deleted (0.5.0)

This patch adds -o support to /exec. However, seems that Konversation doesn't do this anymore, so it's not really standard in all clients apparently.
Also, it would change existing behavior and break users' aliases. So I'm not at all sure anymore that we want that...

How about keeping the current behavior, and add a -t (test) or -p (pretend) option instead, that allows keeping the output local for testing purposes?

#4 - 02/29/2012 10:19 PM - Anonymous

- Target version set to Some future release

| second the -p/-t to hide output, mostly because one isn't able to run arbitrary commands without wrapper script and because of current behaviour.

#5 - 12/23/2013 10:54 PM - Anonymous

- Status changed from Feedback to Confirmed

Files

0001-Don-t-send-exec-output-by-default.patch 6.82 KB 09/28/2009 Sputnick
